callFilter-methods {xps} | R Documentation

## Detection Call Filter

### Description

Detection Call Filter.
The `cutoff` value defines the upper threshold for allowed detection call p-values. If e.g. the number of samples exceeding this cutoff value is greater than `samples` then the corresponding expression dataframe row is flagged, i.e. `flag = 0`.
The Detection Call Filter flags all rows with: `flag = (sum(call[i] >= cutoff) >= samples)`

Usage

`callFilter(object)`
`callFilter(object, value)<-`

### Arguments

`object` | object of class `PreFilter` or `UniFilter`.
`value` | character vector `c(cutoff, samples, condition)`.

### Details

The method `callFilter` initializes the following parameters:

| `cutoff`: | the cutoff value for the filter:
|  | `cutoff = 1.0`: present/absent call is used.
|  | `cutoff < 1.0`: detection p-value is used as cutoff.
| `samples`: | this value depends on the `condition` used:
| `condition`: | `condition="samples"`: number of samples (default):
|  | `condition="percent"`: percent of samples.

### Value

An initialized `PreFilter` or `UniFilter` object.

### Author(s)

Christian Stratowa

### Examples

    ## initialize PreFilter
    prefltr <- PreFilter()
    callFilter(prefltr) <- c(0.02,80.0,"percent")
    str(prefltr)

    ## initialize UniFilter
    unifltr <- UniFilter()
    callFilter(unifltr) <- c(0.02,80.0,"percent")
    str(unifltr)

[Package xps version 1.2.10 Index]